<?php

namespace xenarabia\MYMMSMSG;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;

	public function installStep1(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xa_cat_my_mms', function(\XF\Db\Schema\Create $table)
		{
			$table->addColumn('cat_id', 'int')->autoIncrement();
			$table->addColumn('cat_title', 'varchar', 255);
			$table->addColumn('cat_act', 'int')->setDefault(0);
		});

		$this->schemaManager()->createTable('xa_my_mms', function(\XF\Db\Schema\Create $table)
		{
			$table->addColumn('mms_id', 'int')->autoIncrement();
			$table->addColumn('mms_cat_id', 'int');
			$table->addColumn('mms_img_name', 'varchar', 255);
			$table->addColumn('mms_act', 'int')->setDefault(1);
		});

		$this->schemaManager()->alterTable('xf_user', function(Alter $table)
		{
			$table->addColumn('user_my_mms', 'int')->setDefault(0);
		});
	}

	
	public function uninstall(array $stepParams = [])
	{	
		$this->schemaManager()->dropTable('xa_cat_my_mms');		
		$this->schemaManager()->dropTable('xa_my_mms');
		$this->schemaManager()->alterTable('xf_user', function(Alter $table)
			{
				$table->dropColumns('user_my_mms', 'int');
			});		
	}
}